org.eclipse.net4j.util.ui.widgets

## Class PreferenceButton

- java.lang.Object
- - org.eclipse.net4j.util.ui.widgets.PreferenceButton

-     public class PreferenceButton
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreferenceButton(Composite parent, int style, java.lang.String text, OMPreference<java.lang.Boolean> preference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(int evenType, Listener listener)`
    `int` | `getAlignment()`
    `Button` | `getButton()`
    `Image` | `getImage()`
    `OMPreference<java.lang.Boolean>` | `getPreference()`
    `boolean` | `getSelection()`
    `boolean` | `getSelection(boolean setPreference)`
    `java.lang.String` | `getText()`
    `void` | `removeListener(int evenType, Listener listener)`
    `void` | `setAlignment(int alignment)`
    `boolean` | `setFocus()`
    `void` | `setImage(Image image)`
    `void` | `setSelection(boolean selected)`
    `void` | `setText(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreferenceButton

          public PreferenceButton(Composite parent,
                                  int style,
                                  java.lang.String text,
                                  OMPreference<java.lang.Boolean> preference)

  - ### Method Detail

    - #### getPreference

          public OMPreference<java.lang.Boolean> getPreference()

    - #### getButton

          public Button getButton()

    - #### getAlignment

          public int getAlignment()

    - #### getImage

          public Image getImage()

    - #### getSelection

          public boolean getSelection(boolean setPreference)

    - #### getSelection

          public boolean getSelection()

    - #### getText

          public java.lang.String getText()

    - #### setAlignment

          public void setAlignment(int alignment)

    - #### setImage

          public void setImage(Image image)

    - #### setSelection

          public void setSelection(boolean selected)

    - #### setText

          public void setText(java.lang.String string)

    - #### setFocus

          public boolean setFocus()

    - #### addListener

          public void addListener(int evenType,
                                  Listener listener)

      Since:
        3.0

    - #### removeListener

          public void removeListener(int evenType,
                                     Listener listener)

      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html